Skip to main content

Read Client

Returns the client specified by the client_guid associated with the client making the request.

Doesn't return an API key.

GET
/client/{client_guid}

Path Parameters

FieldRequiredType

client_guid

The unique identifier for the client. Defined by MX.

Required
String

Request sample

Language:shell

_10
curl -L -X GET 'https://int-api.mx.com/client/{client_guid}' \
_10
-H 'Accept: application/vnd.mx.api.v1+json' \
_10
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Response sample

200
Language:json

_39
{
_39
"client": {
_39
"address": "123 Address Way",
_39
"city": "Schenectady",
_39
"country": "US",
_39
"created_at": "2024-09-04T16:07:40+00:00",
_39
"id": "external-id",
_39
"guid": "CLT-8c62982c-804c-44a1-90c8-50fcff5f8d77",
_39
"main_url": "https://mainurl.com",
_39
"name": "Test client",
_39
"oauth_app_description": "app",
_39
"oauth_app_name": "appy app",
_39
"postal_code": "12345",
_39
"state": "NY",
_39
"support_email": "support@mainurl.com",
_39
"support_phone": "8015555555",
_39
"support_url": "https://supporturl.com",
_39
"updated_at": "2024-09-04T16:09:58+00:00",
_39
"products": {
_39
"account_verification": false,
_39
"balance": false,
_39
"business_suite": true,
_39
"data_api": true,
_39
"history": false,
_39
"identity_verification": false,
_39
"microdeposits": false,
_39
"moneymap": true,
_39
"platform_api": true,
_39
"pulse": true,
_39
"reporting_api": {
_39
"is_enabled": true,
_39
"base_reports": true
_39
},
_39
"sherlock_api": false,
_39
"statements": false,
_39
"transactions": true
_39
}
_39
}
_39
}